Pipelines
Stages, transitions and the board.
GET/pipelines
List pipelines
Needs the permission pipeline:read.
curl -X GET https://crm.anibrosdesign.com/api/v1/pipelines \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 403 429
POST/pipelines
Create a pipeline
Needs the permission pipeline:manage.
| Body field | Type | Notes |
|---|---|---|
name required | string | at least 1 characters. up to 80 characters |
description | string or null | |
copyFromId | string (uuid) | |
empty | boolean |
curl -X POST https://crm.anibrosdesign.com/api/v1/pipelines \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"name":"text","description":"text","copyFromId":"01a15d23-0000-7000-8000-000000000000"}'Responses:
201 400 401 402 403 429
POST/pipelines/apply-recommended
Apply recommended (pipelines)
Needs the permission pipeline:manage.
| Body field | Type | Notes |
|---|---|---|
makeDefault | boolean |
curl -X POST https://crm.anibrosdesign.com/api/v1/pipelines/apply-recommended \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"makeDefault":true}'Responses:
200 400 401 402 403 429
GET/pipelines/reason-codes
Get reason codes (pipelines)
Needs the permission pipeline:read.
curl -X GET https://crm.anibrosdesign.com/api/v1/pipelines/reason-codes \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 403 429
GET/pipelines/{id}
Get a pipeline
Needs the permission pipeline:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/pipelines/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 404 429
PATCH/pipelines/{id}
Change a pipeline
Needs the permission pipeline:manage.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
name | string | at least 1 characters. up to 80 characters |
description | string or null | |
isDefault | boolean | |
reasonCodesRequired | boolean | |
dealValueRequired | boolean |
curl -X PATCH https://crm.anibrosdesign.com/api/v1/pipelines/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"name":"text","description":"text","isDefault":true}'Responses:
200 400 401 402 403 404 412 429
DELETE/pipelines/{id}
Delete a pipeline
Needs the permission pipeline:manage.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X DELETE https://crm.anibrosdesign.com/api/v1/pipelines/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
204 400 401 402 403 404 429
GET/pipelines/{id}/board
Get board (pipelines)
Needs the permissions pipeline:read, leads:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) | |
ownerId | query | string (uuid) or one of unassigned | |
q | query | string | up to 100 characters |
perStage | query | integer | at least 1. up to 50. default 20 |
curl -X GET https://crm.anibrosdesign.com/api/v1/pipelines/{id}/board \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 404 429
GET/pipelines/{id}/forecast
Get forecast (pipelines)
Needs the permissions pipeline:read, leads:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/pipelines/{id}/forecast \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 404 429
PUT/pipelines/{id}/stage-order
Set stage order (pipelines)
Needs the permission pipeline:manage.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
stageIds required | list of string (uuid) | at least 2 items. up to 25 items |
curl -X PUT https://crm.anibrosdesign.com/api/v1/pipelines/{id}/stage-order \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"stageIds":["01a15d23-0000-7000-8000-000000000000"]}'Responses:
200 400 401 402 403 404 412 429
POST/pipelines/{id}/stages
Stages (pipelines)
Needs the permission pipeline:manage.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
name required | string | at least 1 characters. up to 60 characters |
color | string | |
mapsToStatus | one of open, contacted, qualified, viewing_scheduled, negotiation, won, lost, disqualified | |
probability | integer | at least 0. up to 100 |
afterStageId | string (uuid) or null |
curl -X POST https://crm.anibrosdesign.com/api/v1/pipelines/{id}/stages \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"name":"text","color":"text","mapsToStatus":"open"}'Responses:
201 400 401 402 403 404 429
PATCH/pipelines/{id}/stages/{stageId}
Change stages (pipeline)
Needs the permission pipeline:manage.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) | |
stageId required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
name | string | at least 1 characters. up to 60 characters |
color | string | |
mapsToStatus | one of open, contacted, qualified, viewing_scheduled, negotiation, won, lost, disqualified | |
probability | integer | at least 0. up to 100 |
curl -X PATCH https://crm.anibrosdesign.com/api/v1/pipelines/{id}/stages/{stageId} \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"name":"text","color":"text","mapsToStatus":"open"}'Responses:
200 400 401 402 403 404 412 429
DELETE/pipelines/{id}/stages/{stageId}
Remove stages (pipeline)
Needs the permission pipeline:manage.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) | |
stageId required | path | string (uuid) | |
moveLeadsTo | query | string (uuid) |
curl -X DELETE https://crm.anibrosdesign.com/api/v1/pipelines/{id}/stages/{stageId} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 402 403 404 429
GET/pipelines/{id}/transitions
Get transitions (pipelines)
Needs the permission pipeline:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/pipelines/{id}/transitions \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 404 429
PUT/pipelines/{id}/transitions
Set transitions (pipelines)
Needs the permission pipeline:manage.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
restricted required | boolean | |
transitions required | list of object | up to 700 items |
transitions[].fromStageId required | string (uuid) | |
transitions[].toStageId required | string (uuid) | |
transitions[].requiredFields | list of one of ownerId, estimatedValue, budgetMax, phone, email, nextFollowupAt | up to 6 items. default [] |
curl -X PUT https://crm.anibrosdesign.com/api/v1/pipelines/{id}/transitions \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"restricted":true,"transitions":[{"fromStageId":"01a15d23-0000-7000-8000-000000000000","toStageId":"01a15d23-0000-7000-8000-000000000000","requiredFields":[]}]}'Responses:
200 400 401 402 403 404 412 429
Something missing or unclear? Tell us.